{
	"name": "studiokit-auth-js",
	"version": "3.0.2",
	"description": "Authentication flow for Studio apps at Purdue",
	"repository": "https://gitlab.com/purdue-informatics/studiokit/studiokit-auth-js",
	"license": "MIT",
	"main": "lib/index.js",
	"types": "lib/index.d.ts",
	"files": [
		"lib"
	],
	"scripts": {
		"build": "yarn clean && tsc -p tsconfig.build.json",
		"build:watch": "tsc -p tsconfig.build.json -w",
		"clean": "rimraf ./lib",
		"coverage": "jest --coverage",
		"coveralls": "npm run coverage && cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js && rm -rf ./coverage",
		"eslint-check": "eslint --print-config src/index.ts | eslint-config-prettier-check",
		"fix": "yarn lint --fix",
		"lint": "yarn lint-code-core .",
		"lint-code-core": "eslint --ext .js,.ts",
		"prepublishOnly": "yarn build",
		"test": "jest"
	},
	"husky": {
		"hooks": {
			"pre-commit": "lint-staged",
			"pre-push": "npm run test"
		}
	},
	"lint-staged": {
		"*.(j|t)s": [
			"yarn lint-code-core --fix"
		],
		"package.json": [
			"sort-package-json"
		]
	},
	"eslintConfig": {
		"extends": [
			"studiokit"
		],
		"overrides": [
			{
				"files": [
					"**/*.ts?(x)"
				],
				"parser": "@typescript-eslint/parser",
				"parserOptions": {
					"project": "tsconfig.json"
				}
			}
		],
		"ignorePatterns": [
			"coverage/",
			"lib/"
		]
	},
	"jest": {
		"preset": "ts-jest"
	},
	"resolutions": {
		"kind-of": "^6.0.3",
		"lodash": "^4.17.20",
		"mixin-deep": "^1.3.2",
		"set-value": "^2.0.1"
	},
	"dependencies": {
		"@redux-saga/types": "^1.1.0",
		"@types/node": "^14.14.22",
		"redux": "^4.0.5",
		"redux-saga": "^1.1.3",
		"studiokit-net-js": "^4.0.1"
	},
	"devDependencies": {
		"@types/jest": "^26.0.20",
		"@typescript-eslint/eslint-plugin": "^4.14.1",
		"@typescript-eslint/parser": "^4.14.1",
		"babel-eslint": "^10.1.0",
		"coveralls": "^3.1.0",
		"cross-env": "^7.0.3",
		"eslint": "^7.11.0",
		"eslint-config-prettier": "^7.2.0",
		"eslint-config-studiokit": "^3.0.1",
		"eslint-plugin-import": "^2.22.1",
		"eslint-plugin-prettier": "^3.3.1",
		"husky": "^4.3.8",
		"jest": "^26.6.0",
		"lint-staged": "^10.5.3",
		"prettier": "^2.2.1",
		"rimraf": "^3.0.2",
		"sort-package-json": "^1.48.1",
		"ts-jest": "^26.4.4",
		"typescript": "^4.1.3"
	}
}
